From 7bb11c30ce6ee43cc3ef6dcf63d158bd7d12421e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 23 2021 02:06:05 +0000
Subject: [PATCH 2139/2232] Sort pointer ffi test functions consistently


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 3736b9e..fcbe153 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -122,8 +122,8 @@ pub mod ffi {
         fn c_return_nested_ns_ref(shared: &ABShared) -> &usize;
         fn c_return_ns_enum(n: u16) -> AEnum;
         fn c_return_nested_ns_enum(n: u16) -> ABEnum;
-        fn c_return_opaque_raw_ptr(n: usize) -> *const C;
-        fn c_return_opaque_mut_raw_ptr(n: usize) -> *mut C;
+        fn c_return_const_ptr(n: usize) -> *const C;
+        fn c_return_mut_ptr(n: usize) -> *mut C;
 
         fn c_take_primitive(n: usize);
         fn c_take_shared(shared: Shared);
@@ -164,8 +164,8 @@ pub mod ffi {
         fn c_take_nested_ns_shared(shared: ABShared);
         fn c_take_rust_vec_ns_shared(v: Vec<AShared>);
         fn c_take_rust_vec_nested_ns_shared(v: Vec<ABShared>);
-        unsafe fn c_take_opaque_mut_raw_ptr(c: *mut C) -> usize;
-        unsafe fn c_take_opaque_raw_ptr(c: *const C) -> usize;
+        unsafe fn c_take_const_ptr(c: *const C) -> usize;
+        unsafe fn c_take_mut_ptr(c: *mut C) -> usize;
 
         fn c_try_return_void() -> Result<()>;
         fn c_try_return_primitive() -> Result<usize>;
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 5cd1511..eb855ea 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -207,24 +207,14 @@ Enum c_return_enum(uint16_t n) {
   }
 }
 
-const C* c_return_opaque_raw_ptr(size_t c) {
+const C* c_return_const_ptr(size_t c) {
   return new C(c);
 }
 
-C* c_return_opaque_mut_raw_ptr(size_t c) {
+C* c_return_mut_ptr(size_t c) {
   return new C(c);
 }
 
-size_t c_take_opaque_raw_ptr(const C* c) {
-  return c->get();
-}
-
-size_t c_take_opaque_mut_raw_ptr(C* c) {
-  size_t result = c->get();
-  delete c;
-  return result;
-}
-
 Borrow::Borrow(const std::string &s) : s(s) {}
 
 void Borrow::const_member() const {}
@@ -526,6 +516,16 @@ void c_take_nested_ns_enum(::A::B::ABEnum e) {
   }
 }
 
+size_t c_take_const_ptr(const C* c) {
+  return c->get();
+}
+
+size_t c_take_mut_ptr(C* c) {
+  size_t result = c->get();
+  delete c;
+  return result;
+}
+
 void c_try_return_void() {}
 
 size_t c_try_return_primitive() { return 2020; }
diff --git a/tests/ffi/tests.h b/tests/ffi/tests.h
index 3de24e6..8c08e4c 100644
--- a/tests/ffi/tests.h
+++ b/tests/ffi/tests.h
@@ -118,8 +118,8 @@ Enum c_return_enum(uint16_t n);
 ::A::AEnum c_return_ns_enum(uint16_t n);
 ::A::B::ABEnum c_return_nested_ns_enum(uint16_t n);
 std::unique_ptr<Borrow> c_return_borrow(const std::string &s);
-const C* c_return_opaque_raw_ptr(size_t n);
-C* c_return_opaque_mut_raw_ptr(size_t n);
+const C* c_return_const_ptr(size_t n);
+C* c_return_mut_ptr(size_t n);
 
 void c_take_primitive(size_t n);
 void c_take_shared(Shared shared);
@@ -163,8 +163,8 @@ void c_take_callback(rust::Fn<size_t(rust::String)> callback);
 void c_take_enum(Enum e);
 void c_take_ns_enum(::A::AEnum e);
 void c_take_nested_ns_enum(::A::B::ABEnum e);
-size_t c_take_opaque_raw_ptr(const C* c);
-size_t c_take_opaque_mut_raw_ptr(C* c);
+size_t c_take_const_ptr(const C* c);
+size_t c_take_mut_ptr(C* c);
 
 void c_try_return_void();
 size_t c_try_return_primitive();
diff --git a/tests/test.rs b/tests/test.rs
index f8ed205..32b8e83 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -338,18 +338,16 @@ fn test_extern_opaque() {
 
 #[test]
 fn test_raw_ptr() {
-    let c = ffi::c_return_opaque_mut_raw_ptr(2023);
+    let c = ffi::c_return_mut_ptr(2023);
     let mut c_unique = unsafe { cxx::UniquePtr::from_raw(c) };
     assert_eq!(2023, c_unique.pin_mut().set_succeed(2023).unwrap());
     // c will be dropped as it's now in a UniquePtr
 
-    let c2 = ffi::c_return_opaque_mut_raw_ptr(2024);
-    assert_eq!(2024, unsafe { ffi::c_take_opaque_raw_ptr(c2) });
-    assert_eq!(2024, unsafe { ffi::c_take_opaque_mut_raw_ptr(c2) }); // deletes c2
+    let c2 = ffi::c_return_mut_ptr(2024);
+    assert_eq!(2024, unsafe { ffi::c_take_const_ptr(c2) });
+    assert_eq!(2024, unsafe { ffi::c_take_mut_ptr(c2) }); // deletes c2
 
-    let c3 = ffi::c_return_opaque_raw_ptr(2025);
-    assert_eq!(2025, unsafe { ffi::c_take_opaque_raw_ptr(c3) });
-    assert_eq!(2025, unsafe {
-        ffi::c_take_opaque_mut_raw_ptr(c3 as *mut ffi::C)
-    }); // deletes c3
+    let c3 = ffi::c_return_const_ptr(2025);
+    assert_eq!(2025, unsafe { ffi::c_take_const_ptr(c3) });
+    assert_eq!(2025, unsafe { ffi::c_take_mut_ptr(c3 as *mut ffi::C) }); // deletes c3
 }

